/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
export declare type product_search_result = {
  count: number;
  hits: Array<object>;
  query: object;
  select: string;
  start: number;
  total: number;
  data?: Array<object>;
  db_start_record_?: number;
  expand?: Array<string>;
  next?: object;
  previous?: object;
  sorts?: Array<object>;
};
export declare type ClassA = {
  property1: string;
  property2?: number;
};
export declare type customer_product_list_item = {
  id: string;
  priority: number;
  public: boolean;
  purchased_quantity: number;
  quantity: number;
  type: string;
  product?: string;
  product_details_link?: string;
  product_id?: string;
};
export declare type query = {};
export declare type ClassB = {
  property4: number;
  property5: string;
  property3?: object;
};
export declare type search_request = {
  query: object;
  count?: number;
  db_start_record_?: number;
  expand?: Array<string>;
  select?: string;
  sorts?: Array<object>;
  start?: number;
};
export declare type password_change_request = {
  current_password: string;
  password: string;
};
export declare type sort = {
  field: string;
  sort_order?: string;
};
export declare type result_page = {
  count: number;
  db_start_record_: number;
  start: number;
};
//# sourceMappingURL=Shop.types.d.ts.map
